Transfers
Whenever a file transfer is created in UDMG, a corresponding Record named a Transfer is created to track the transfer status and related metadata.
You can monitor Transfers from the Transfers Dashboard.
Protocols
Transfers can have one of the following protocols:
| Protocol | Description |
|---|---|
| AS2 | The file transfer was an AS2 transfer and part of a Local AS2 Server to Local Filesystem or Local Filesystem to Remote AS2 Server Pipeline. |
| Cloud | The file transfer was a Cloud transfer and part of a Local Filesystem to Remote Cloud Storage or Remote Cloud Storage to Local Filesystem Pipeline. |
| FTP | The file transfer was an FTP(S) transfer and part of a Local FTP(S) Server to Local Filesystem, Local Filesystem to Remote FTP(S) Server, or Remote FTP(S) Server to Local Filesystem Pipeline. |
| FTP-Cloud | The file transfer was an FTP(S) and Cloud transfer and part of a Local FTP(S) Server to Remote Cloud Storage Pipeline. |
| HTTPS | The file transfer was an HTTPS (WTC) transfer and part of a Local HTTPS Server to Local Filesystem Pipeline. |
| HTTPS-Cloud | The file transfer was an HTTPS (WTC) and Cloud transfer and part of a Local HTTPS Server to Remote Cloud Storage Pipeline. |
| SFTP | The file transfer was an SFTP transfer and part of a Local SFTP Server to Local Filesystem, Local Filesystem to Remote SFTP Server, or Remote SFTP Server to Local Filesystem Pipeline. |
| SFTP-Cloud | The file transfer was an SFTP and Cloud transfer and part of a Local SFTP Server to Remote Cloud Storage Pipeline. |
Statuses
Transfers can have one of the following statuses:
| Status | Description |
|---|---|
Pending | For UDMG as Client Pipeline transfers only. The transfer was scheduled via the UDMG REST API, but its scheduled execution time has not yet been reached. |
Started | The file transfer was initiated. |
Running | The file transfer is in progress. |
Processing | The file transfer is currently being processed, such as during ICAP scanning or Tasks execution. |
Uploading | For Microsoft Azure File Storage transfers only. The file is currently in a temporary directory during upload. See Azure Files Exception. |
Completed | The file transfer completed successfully. |
Failed | The file transfer failed due to a system failure, task failure, or because it was aborted. |
Cancelled | The file transfer was cancelled by an Admin. |
Stopped | The file transfer was stopped. |
Status Lifecycle
For UDMG as Client Pipelines only, transfer retry behavior is controlled by the transfer block in the UDMG Server configuration file. For more information, see Transfers Retry.
The Uploading status applies only to Microsoft Azure File Storage transfers. See Azure Files Exception.
Viewing the Transfers Dashboard
To view the Transfers Dashboard, click Monitoring > Transfers from the Sidebar. Here you can view a table of Transfer Records.
The Transfers table automatically refreshes every 10 seconds. You can also manually refresh the table at any time with the Refresh button in the top-right corner.
There are various ways to customize your view of the Transfers table. As with any Record Table, you can toggle which columns are displayed by clicking the Columns button above the list (see Selecting Columns). You can further customize how the Transfers table is displayed through Sorting and Filtering, detailed below.
Sorting
By default, the Transfers list is sorted by Last Update. As with any Record Table, you can sort by a different field by clicking the column header.
Filtering
UDMG displays up to 80,000 of the most recent Transfer Records on the Transfers Dashboard at once. Filtering allows you to narrow this list down to a smaller set of Records. You can filter the Transfers Dashboard in several ways, including Time, Status, and Name.
Time Filter
You can filter Transfers by Time by clicking the Time Filter above the table, to the right of the Search bar.

Select one of the following times:
- 5 minutes
- 10 minutes
- 30 minutes
- 1 hour
- 12 hours
- 24 hours
- 48 hours
- 1 week
- 2 weeks
- 1 month
- 3 months
- 6 months
- 1 year
Only Transfers whose Last Update occurred within the selected timeframe appear in the table.
Status Filter
You can filter Transfers by Status by clicking the Status Filter above the table, to the right of the Time Filter:

Select one of the following statuses:
- All
- Cancelled
- Completed
- Failed
- Processing
- Running
- Started
- Stopped
- Uploading
Only Transfers of the selected Status appear in the table. Selecting All includes Transfers of any Status.
Filtering by Other Fields
You can filter Transfers by Pipeline or Account.
Click the Record name of one of the above fields. For example, the Pipeline:

The Search bar is automatically populated with the selected name. Only Transfer Records with the selected Pipeline appear in the table. To clear the filter, you can either click the x in the Search bar, or click the Pipeline again.
You can filter by Account Name in the same way, by clicking the Name in the respective column. If the column is not currently visible, you must enable it with the Columns button.
Searching
You can further filter Transfer Records by using the free text functionality of the Search bar. When you type plain text in the search bar, it searches for matching values in the following columns:
- Account
- Pipeline
- Source Path
- Destination Path
- Source Endpoint
- Destination Endpoint
The Search only applies to Records that are currently in the table (across all pages). For example, if 1,000 Transfer Records have been returned, then the Search bar searches these 1,000 Records.
You can also search using a column key and value pair. To search, prefix your search value with [Column Key]::. For example, searching status::completed returns only Transfers whose Status is Completed.

For a list of available Column Keys and their corresponding Column Names, see the table below:
| Column Name | Column Key |
|---|---|
| Account | accountName |
| Destination Endpoint | endpointDestination |
| Destination Path | destination |
| Is Schedule | isSchedule |
| Is Send | isSend |
| Pipeline | pipeline |
| Protocol | protocol |
| Status | status |
| Session ID | sessionId |
| Schedule ID | scheduleId |
| Source Endpoint | endpointSource |
| Source Path | source |
| Transfer ID | id |
| Protocol | protocol |
| Status | status |
| Session ID | sessionId |
| Scheduled ID | scheduledID |
| Source Endpoint | endpointSource |
| Source Path | source |
| Transfer ID | id |
For isSend and isSchedule, use true or false as the value. For example, to filter for Transfers that were sent, use isSend::true.
Managing Transfers
Viewing Transfer Details
To view the details of a Transfer Record, follow these steps:
- From the Sidebar, click Monitoring > Transfers.
- Click the ID of the Transfer Record you want to view.
You can click the Refresh button above the Transfer details to display the latest Transfer status and information.
Transfer Metadata
Transfer details include the following read-only metadata:
| Name | Description |
|---|---|
| Transfer ID | The local identifier of the transfer. |
| Status | Current status of the Transfer. For more information, see Statuses. |
| Transfer UUID | Universally Unique Identifier of the transfer. |
| Account | Name of the Account that initiated the Transfer. |
| Session ID | The session identifier of the transfer. |
| Protocol | The protocol of the Transfer. |
| Session UUID | Universally Unique Identifier of the transfer session. |
| Pipeline | Name of the Pipeline used for the Transfer. |
| Schedule ID | The local identifier of a transfer to or from a remote system. |
| Working Directory | The current working directory for the UDMG Server. |
| Pipeline Business Service | The Business Service associated with the Pipeline used for the Transfer. |
| Source | The full file path of the Source. See the associated Pipeline for path Details. |
| Destination | The full file path of the Destination. See the associated Pipeline for path details. |
| Endpoint Source | The Source Endpoint of the associated Pipeline. |
| Endpoint Destination | Name of the Destination Endpoint of the associated Pipeline. |
| Endpoint Source Type | The Endpoint type of the Source Endpoint of the associated Pipeline. |
| Endpoint Destination Type | The Endpoint type of the Destination Endpoint of the associated Pipeline. |
| File Size | The size of the file in bytes. This value only updates once the Transfer completes. While the Transfer is still in progress, the file size is 0. |
| Bytes Transferred | The number of bytes as the file is transferred. After the file is transferred it matches the File Size. |
| Is Scheduled | Specifies whether the Transfer was scheduled or not. If Yes, the Transfer was scheduled, and it was a Remote Transfer. If No, the Transfer was not scheduled, and it was a Local Transfer. |
| Is Send | Specifies whether the file was downloaded from or uploaded to UDMG. If Yes, the Account downloaded the file from UDMG or the file was pushed to a remote server (Remote Transfer). If No, the Account uploaded a file to UDMG or the file was pulled from a remote server (Remote Transfer). |
| Cancel Reason | The error message of the Transfer if it is cancelled. When a Transfer is cancelled manually, this field shows the Username of the User who canceled the Transfer. |
| Failure Reason | The error message of the Transfer if it fails. |
| Started | Date and time the Transfer started. |
| Completed | Date and time the Transfer ended. This field is left blank if the Transfer is still in progress (Status is Running). info The Completion Time is given regardless of whether the Transfer is successful. If a Transfer ends because it fails or is cancelled, it is still considered to have "ended." |
| Message ID | AS2-specific message identifier. |
| Partner ID | AS2 trading partner identifier. |
| MDN Status | Status of the Message Disposition Notification (MDN). If Is Send is Yes, possible values are:
If Is Send is No, possible values are:
|
| MDN Receipt Date | Date and time the MDN receipt was delivered. |
| MLS | Defines the minimum security requirements that incoming AS2 messages must meet. Options:
|
| MDN Disposition Mode | Specifies whether UDMG expects MDNs synchronously (returned in the same HTTPS session) or asynchronously (returned as a separate HTTP request). |
| MIC | Specifies whether the Message Integrity Check (MIC) returned from the MDN matches the locally calculated MIC. |
| MIC Algorithm | Specifies the hash algorithm used to generate the MIC for MDN validation. |
Cancelling a Transfer
Users can cancel an existing Transfer through the UDMG REST API.
Endpoint
Use this endpoint to request cancellation of the Transfer:
PUT /api/v1/domains/{domainId}/transfers/cancel/{transferId}
Authentication
This endpoint requires authentication.
The authenticated User must have an Admin Role within the Domain.
Parameters
| Parameter | Description |
|---|---|
{domainId} | The UUID of the Domain that owns the Transfer. |
{transferId} | The UUID of the Transfer to cancel. |
Response Example
JSON
{
"uuid": "a1a4aa99-1ef2-4779-87a2-049af0255666",
"updatedAt": "2026-04-23T20:34:12.276365357Z",
"version": 1,
"transferId": 285544,
"sessionId": 285479,
"sessionUUID": "7a23faf3-9d8d-42a7-bb31-c686cc234e43",
"accountName": "partner-user",
"protocol": "SFTP",
"pipeline": "inbound-files",
"endpointSource": "partner-sftp",
"endpointSourceType": "local:sftp:server",
"endpointDestination": "shared-storage",
"endpointDestinationType": "local::filesystem",
"source": "/uploads/report.csv",
"destination": "/var/data/inbound/report.csv",
"workDirectory": "/var/udmg/work",
"progress": 3129344,
"fileSize": 0,
"isSend": false,
"isSchedule": false,
"scheduleId": 0,
"status": "Cancelled",
"cancelReason": "action: cancel by user: udmg.domain-admin",
"startedAt": "2026-04-23T20:33:56.246752686Z",
"completedAt": "2026-04-23T20:34:12.276364569Z"
}